
//      Vivid logo with Mandelbrot set and spun-chrome sphere

studio = {
	from = -60 -100 35;
	at = 10 0 5;
	up = 0 0 1;
	angle = 16;
	res = 640 480;
	aspect = 1.333;
	antialias = adaptive;
	threshold = 32;
	bkg = sky_blue;
}

light = {
	type = point;
	falloff = 0;
	position = 0 -20 40;
	color = .6 .6 .6;
}
light = {
	type = point;
	falloff = 0;
	position = 35 -10 30;
	color = .6 .6 .6;
}
light = {
	type = point;
	falloff = 0;
	position = 20 10 50;
	color = .6 .6 .6;
}
light = {
	type = point;
	falloff = 0;
	position = -100 -100 10;
	color = .3 .3 .3;
}

//      base surface

//      Note:   The mandelbrot pattern was put into Vivid almost as a joke.
//              Currently the format for specifying it is terrible.  The
//              first two parameters of the scale value determine the
//              x y scaling of the set while the 3rd parameter determines
//              the maximum number of iterations.  The result of the
//              iteration calculation is then scaled by the max number of
//              iterations to determine the relative percentages of the
//              surface parameters for that point.  Once I figure out a
//              resonable way of doing this Mandelbrot and Julia sets
//              will become a real part of Vivid.

surface = {
	texture = {
		pattern = mandelbrot;
		scale = .05 .05 64;
		offset = -1 0 0;
		surf = { diff = white; amb = .3 .3 .3; }
		surf = { diff = black; }
	}
}
ring = {
	location = 20 0 -0.5;
	normal = 0 0 1;
	radius = 4000;
}


//      spun chrome ball

surface = {
	bump = {
		noise = {
			scale =  25 25 .025;    // Note the asymmetric scaling
			amp = .25;
			terms = 1;
		}
	}
	diff = steel_blue;
	spec = .4 .4 .5;
	shine = 30;
}

sphere = { center = 10 20 10; radius = 9; }

//      glass sphere

surface = {
	trans = white;
	ior = 1.3;
	shine = 100 .7 .7 .7;
}
sphere = {
	center = 15 -20 4.5;
	radius = 5;
}

//      cluster of reflecting spheres, somewhat of a gold-tone

surf = { diff = .5 .3 .1; spec = .5 .5 .5; shine = 400; }
sphere = { center = 20 16 10; radius = 4; }
sphere = { center = 28 20 12; radius = 4; }
sphere = { center = 32 14  8; radius = 4; }
sphere = { center = 30 10  4; radius = 4; }

//      surface for Vivid logo

surface = {
	diff = white;
}

//      V
sphere = { center = 0 0 10; radius = 0.5; }
sphere = { center = 5 0 0; radius = 0.5; }
sphere = { center = 10 0 10; radius = 0.5; }
cone = { apex = 0 0 10; base = 5 0 0; apex_radius = 0.5; base_radius = 0.5; }
cone = { apex = 5 0 0; base = 10 0 10; apex_radius = 0.5; base_radius = 0.5; }

//      i
sphere = { center = 11 0 0; radius = 0.5; }
sphere = { center = 11 0 6; radius = 0.5; }
sphere = { center = 11 0 8; radius = 0.5; }
cone = { apex = 11 0 0; base = 11 0 6; apex_radius = 0.5; base_radius = 0.5; }

//      v
sphere = { center = 13 0 6; radius = 0.5; }
sphere = { center = 15.5 0 0; radius = 0.5; }
sphere = { center = 18 0 6; radius = 0.5; }
cone = { apex = 13 0 6; base = 15.5 0 0; apex_radius = 0.5; base_radius = 0.5; }
cone = { apex = 15.5 0 0; base = 18 0 6; apex_radius = 0.5; base_radius = 0.5; }

//      i
sphere = { center = 20 0 0; radius = 0.5; }
sphere = { center = 20 0 6; radius = 0.5; }
sphere = { center = 20 0 8; radius = 0.5; }
cone = { apex = 20 0 0; base = 20 0 6; apex_radius = 0.5; base_radius = 0.5; }

//      d
sphere = { center = 28 0 10; radius = 0.5; }
cone = { apex = 28 0 3; base = 28 0 10; apex_radius = 0.5; base_radius = 0.5; }

sphere = { center = 25.000 0 6.000; radius = 0.5; }
cone = { apex = 25.000 0 6.000; apex_radius = 0.5; base = 24.706 0 5.986; base_radius = 0.5; }
sphere = { center = 25.294 0 5.986; radius = 0.5; }
cone = { apex = 25.294 0 5.986; apex_radius = 0.5; base = 25.000 0 6.000; base_radius = 0.5; }
sphere = { center = 25.585 0 5.942; radius = 0.5; }
cone = { apex = 25.585 0 5.942; apex_radius = 0.5; base = 25.294 0 5.986; base_radius = 0.5; }
sphere = { center = 25.871 0 5.871; radius = 0.5; }
cone = { apex = 25.871 0 5.871; apex_radius = 0.5; base = 25.585 0 5.942; base_radius = 0.5; }
sphere = { center = 26.148 0 5.772; radius = 0.5; }
cone = { apex = 26.148 0 5.772; apex_radius = 0.5; base = 25.871 0 5.871; base_radius = 0.5; }
sphere = { center = 26.414 0 5.646; radius = 0.5; }
cone = { apex = 26.414 0 5.646; apex_radius = 0.5; base = 26.148 0 5.772; base_radius = 0.5; }
sphere = { center = 26.667 0 5.494; radius = 0.5; }
cone = { apex = 26.667 0 5.494; apex_radius = 0.5; base = 26.414 0 5.646; base_radius = 0.5; }
sphere = { center = 26.903 0 5.319; radius = 0.5; }
cone = { apex = 26.903 0 5.319; apex_radius = 0.5; base = 26.667 0 5.494; base_radius = 0.5; }
sphere = { center = 27.121 0 5.121; radius = 0.5; }
cone = { apex = 27.121 0 5.121; apex_radius = 0.5; base = 26.903 0 5.319; base_radius = 0.5; }
sphere = { center = 27.319 0 4.903; radius = 0.5; }
cone = { apex = 27.319 0 4.903; apex_radius = 0.5; base = 27.121 0 5.121; base_radius = 0.5; }
sphere = { center = 27.494 0 4.667; radius = 0.5; }
cone = { apex = 27.494 0 4.667; apex_radius = 0.5; base = 27.319 0 4.903; base_radius = 0.5; }
sphere = { center = 27.646 0 4.414; radius = 0.5; }
cone = { apex = 27.646 0 4.414; apex_radius = 0.5; base = 27.494 0 4.667; base_radius = 0.5; }
sphere = { center = 27.772 0 4.148; radius = 0.5; }
cone = { apex = 27.772 0 4.148; apex_radius = 0.5; base = 27.646 0 4.414; base_radius = 0.5; }
sphere = { center = 27.871 0 3.871; radius = 0.5; }
cone = { apex = 27.871 0 3.871; apex_radius = 0.5; base = 27.772 0 4.148; base_radius = 0.5; }
sphere = { center = 27.942 0 3.585; radius = 0.5; }
cone = { apex = 27.942 0 3.585; apex_radius = 0.5; base = 27.871 0 3.871; base_radius = 0.5; }
sphere = { center = 27.986 0 3.294; radius = 0.5; }
cone = { apex = 27.986 0 3.294; apex_radius = 0.5; base = 27.942 0 3.585; base_radius = 0.5; }
sphere = { center = 28.000 0 3.000; radius = 0.5; }
cone = { apex = 28.000 0 3.000; apex_radius = 0.5; base = 27.986 0 3.294; base_radius = 0.5; }
sphere = { center = 27.986 0 2.706; radius = 0.5; }
cone = { apex = 27.986 0 2.706; apex_radius = 0.5; base = 28.000 0 3.000; base_radius = 0.5; }
sphere = { center = 27.942 0 2.415; radius = 0.5; }
cone = { apex = 27.942 0 2.415; apex_radius = 0.5; base = 27.986 0 2.706; base_radius = 0.5; }
sphere = { center = 27.871 0 2.129; radius = 0.5; }
cone = { apex = 27.871 0 2.129; apex_radius = 0.5; base = 27.942 0 2.415; base_radius = 0.5; }
sphere = { center = 27.772 0 1.852; radius = 0.5; }
cone = { apex = 27.772 0 1.852; apex_radius = 0.5; base = 27.871 0 2.129; base_radius = 0.5; }
sphere = { center = 27.646 0 1.586; radius = 0.5; }
cone = { apex = 27.646 0 1.586; apex_radius = 0.5; base = 27.772 0 1.852; base_radius = 0.5; }
sphere = { center = 27.494 0 1.333; radius = 0.5; }
cone = { apex = 27.494 0 1.333; apex_radius = 0.5; base = 27.646 0 1.586; base_radius = 0.5; }
sphere = { center = 27.319 0 1.097; radius = 0.5; }
cone = { apex = 27.319 0 1.097; apex_radius = 0.5; base = 27.494 0 1.333; base_radius = 0.5; }
sphere = { center = 27.121 0 0.879; radius = 0.5; }
cone = { apex = 27.121 0 0.879; apex_radius = 0.5; base = 27.319 0 1.097; base_radius = 0.5; }
sphere = { center = 26.903 0 0.681; radius = 0.5; }
cone = { apex = 26.903 0 0.681; apex_radius = 0.5; base = 27.121 0 0.879; base_radius = 0.5; }
sphere = { center = 26.667 0 0.506; radius = 0.5; }
cone = { apex = 26.667 0 0.506; apex_radius = 0.5; base = 26.903 0 0.681; base_radius = 0.5; }
sphere = { center = 26.414 0 0.354; radius = 0.5; }
cone = { apex = 26.414 0 0.354; apex_radius = 0.5; base = 26.667 0 0.506; base_radius = 0.5; }
sphere = { center = 26.148 0 0.228; radius = 0.5; }
cone = { apex = 26.148 0 0.228; apex_radius = 0.5; base = 26.414 0 0.354; base_radius = 0.5; }
sphere = { center = 25.871 0 0.129; radius = 0.5; }
cone = { apex = 25.871 0 0.129; apex_radius = 0.5; base = 26.148 0 0.228; base_radius = 0.5; }
sphere = { center = 25.585 0 0.058; radius = 0.5; }
cone = { apex = 25.585 0 0.058; apex_radius = 0.5; base = 25.871 0 0.129; base_radius = 0.5; }
sphere = { center = 25.294 0 0.014; radius = 0.5; }
cone = { apex = 25.294 0 0.014; apex_radius = 0.5; base = 25.585 0 0.058; base_radius = 0.5; }
sphere = { center = 25.000 0 0.000; radius = 0.5; }
cone = { apex = 25.000 0 0.000; apex_radius = 0.5; base = 25.294 0 0.014; base_radius = 0.5; }
sphere = { center = 24.706 0 0.014; radius = 0.5; }
cone = { apex = 24.706 0 0.014; apex_radius = 0.5; base = 25.000 0 0.000; base_radius = 0.5; }
sphere = { center = 24.415 0 0.058; radius = 0.5; }
cone = { apex = 24.415 0 0.058; apex_radius = 0.5; base = 24.706 0 0.014; base_radius = 0.5; }
sphere = { center = 24.129 0 0.129; radius = 0.5; }
cone = { apex = 24.129 0 0.129; apex_radius = 0.5; base = 24.415 0 0.058; base_radius = 0.5; }
sphere = { center = 23.852 0 0.228; radius = 0.5; }
cone = { apex = 23.852 0 0.228; apex_radius = 0.5; base = 24.129 0 0.129; base_radius = 0.5; }
sphere = { center = 23.586 0 0.354; radius = 0.5; }
cone = { apex = 23.586 0 0.354; apex_radius = 0.5; base = 23.852 0 0.228; base_radius = 0.5; }
sphere = { center = 23.333 0 0.506; radius = 0.5; }
cone = { apex = 23.333 0 0.506; apex_radius = 0.5; base = 23.586 0 0.354; base_radius = 0.5; }
sphere = { center = 23.097 0 0.681; radius = 0.5; }
cone = { apex = 23.097 0 0.681; apex_radius = 0.5; base = 23.333 0 0.506; base_radius = 0.5; }
sphere = { center = 22.879 0 0.879; radius = 0.5; }
cone = { apex = 22.879 0 0.879; apex_radius = 0.5; base = 23.097 0 0.681; base_radius = 0.5; }
sphere = { center = 22.681 0 1.097; radius = 0.5; }
cone = { apex = 22.681 0 1.097; apex_radius = 0.5; base = 22.879 0 0.879; base_radius = 0.5; }
sphere = { center = 22.506 0 1.333; radius = 0.5; }
cone = { apex = 22.506 0 1.333; apex_radius = 0.5; base = 22.681 0 1.097; base_radius = 0.5; }
sphere = { center = 22.354 0 1.586; radius = 0.5; }
cone = { apex = 22.354 0 1.586; apex_radius = 0.5; base = 22.506 0 1.333; base_radius = 0.5; }
sphere = { center = 22.228 0 1.852; radius = 0.5; }
cone = { apex = 22.228 0 1.852; apex_radius = 0.5; base = 22.354 0 1.586; base_radius = 0.5; }
sphere = { center = 22.129 0 2.129; radius = 0.5; }
cone = { apex = 22.129 0 2.129; apex_radius = 0.5; base = 22.228 0 1.852; base_radius = 0.5; }
sphere = { center = 22.058 0 2.415; radius = 0.5; }
cone = { apex = 22.058 0 2.415; apex_radius = 0.5; base = 22.129 0 2.129; base_radius = 0.5; }
sphere = { center = 22.014 0 2.706; radius = 0.5; }
cone = { apex = 22.014 0 2.706; apex_radius = 0.5; base = 22.058 0 2.415; base_radius = 0.5; }
sphere = { center = 22.000 0 3.000; radius = 0.5; }
cone = { apex = 22.000 0 3.000; apex_radius = 0.5; base = 22.014 0 2.706; base_radius = 0.5; }
sphere = { center = 22.014 0 3.294; radius = 0.5; }
cone = { apex = 22.014 0 3.294; apex_radius = 0.5; base = 22.000 0 3.000; base_radius = 0.5; }
sphere = { center = 22.058 0 3.585; radius = 0.5; }
cone = { apex = 22.058 0 3.585; apex_radius = 0.5; base = 22.014 0 3.294; base_radius = 0.5; }
sphere = { center = 22.129 0 3.871; radius = 0.5; }
cone = { apex = 22.129 0 3.871; apex_radius = 0.5; base = 22.058 0 3.585; base_radius = 0.5; }
sphere = { center = 22.228 0 4.148; radius = 0.5; }
cone = { apex = 22.228 0 4.148; apex_radius = 0.5; base = 22.129 0 3.871; base_radius = 0.5; }
sphere = { center = 22.354 0 4.414; radius = 0.5; }
cone = { apex = 22.354 0 4.414; apex_radius = 0.5; base = 22.228 0 4.148; base_radius = 0.5; }
sphere = { center = 22.506 0 4.667; radius = 0.5; }
cone = { apex = 22.506 0 4.667; apex_radius = 0.5; base = 22.354 0 4.414; base_radius = 0.5; }
sphere = { center = 22.681 0 4.903; radius = 0.5; }
cone = { apex = 22.681 0 4.903; apex_radius = 0.5; base = 22.506 0 4.667; base_radius = 0.5; }
sphere = { center = 22.879 0 5.121; radius = 0.5; }
cone = { apex = 22.879 0 5.121; apex_radius = 0.5; base = 22.681 0 4.903; base_radius = 0.5; }
sphere = { center = 23.097 0 5.319; radius = 0.5; }
cone = { apex = 23.097 0 5.319; apex_radius = 0.5; base = 22.879 0 5.121; base_radius = 0.5; }
sphere = { center = 23.333 0 5.494; radius = 0.5; }
cone = { apex = 23.333 0 5.494; apex_radius = 0.5; base = 23.097 0 5.319; base_radius = 0.5; }
sphere = { center = 23.586 0 5.646; radius = 0.5; }
cone = { apex = 23.586 0 5.646; apex_radius = 0.5; base = 23.333 0 5.494; base_radius = 0.5; }
sphere = { center = 23.852 0 5.772; radius = 0.5; }
cone = { apex = 23.852 0 5.772; apex_radius = 0.5; base = 23.586 0 5.646; base_radius = 0.5; }
sphere = { center = 24.129 0 5.871; radius = 0.5; }
cone = { apex = 24.129 0 5.871; apex_radius = 0.5; base = 23.852 0 5.772; base_radius = 0.5; }
sphere = { center = 24.415 0 5.942; radius = 0.5; }
cone = { apex = 24.415 0 5.942; apex_radius = 0.5; base = 24.129 0 5.871; base_radius = 0.5; }
sphere = { center = 24.706 0 5.986; radius = 0.5; }
cone = { apex = 24.706 0 5.986; apex_radius = 0.5; base = 24.415 0 5.942; base_radius = 0.5; }



